package cn.com.ty.lift.business.capital.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/4/16
 * @description 大修项目电梯
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalLiftRequest extends PageRequest {

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long id;

    /**
     * 公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 电梯注册代码
     */
    private String registrationCode;
}
